<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>3.html</title>
	<script type="text/javascript">
		var numeros=[];
		var bucle=0;
		var bucle2=0;
		var numeros2=[];
				
		function comprobar(v,n){
			var centinela=false;

			v.forEach((valor) => {
				if(valor==n){
					centinela=true;
				}  
			});
			return centinela;
			
			// for(var c=0;c<v.length;c++){
			// 	if(v[c]=n){
			// 		return true;
			// 	}
			// }

			// return false;
		}
		
		bucle=parseInt(prompt("¿Cuantos numeros desea leer?"));
		for (var c=0;c<bucle;c++){
			numeros[c]=parseInt(prompt("introduce un numero"));
		}
		// numeros=[1,2,55,12,22,4];

		bucle2=parseInt(prompt("¿Cuantos numeros desea comprobar?"));
		for(var i=0;i<bucle2;i++){
			numeros2[i]=parseInt(prompt("introduce un numero"));
		}
		// numeros2=[2,1];

		for(var c=0; c<bucle2; c++)
		if(comprobar(numeros,numeros2[c])){
			console.log("el "+ numeros2[c] +" esta");
		}else{
			console.log("el "+ numeros2[c] +" no esta");
		}
		
	</script>
</head>
<body>
	
</body>
</html>